Security
(bearer and appkey) or (sauth_service_token and appkey)
A list of risk entities to be created or updated
Array [
]
- ProdEUhttps://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/risks
- ProdUShttps://api.delfi.slb.com/drillplan/offset-well-data/v1/risks
- Mock serverhttps://developer.slb.com/_mock/solutions/drillplan/apis/offsetwellapi/v1/risks
- bearer + appkey
- sauth_service_token + appkey
- application/json-patch+json
- application/json
- text/json
- application/*+json
curl -i -X POST \
https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/risks \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-partition-id: string' \
-d '[
{
"id": "string",
"section_id": "string",
"hole_bottom_md": 0.1,
"hole_bottom_tvd": 0.1,
"category": "string",
"data_source": "string",
"details": "string",
"duration": 0.1,
"end_date": "2019-08-24T14:15:22Z",
"extended_category": "string",
"hole_size": 0.1,
"name": "string",
"probability": "string",
"risk_id": "string",
"severity": "string",
"start_date": "2019-08-24T14:15:22Z",
"sub_category": "string",
"summary": "string",
"type": "string",
"wellbore_name": "string",
"well_guid": "string",
"risk_start_md": 0.1,
"risk_end_md": 0.1
}
]'Created
Response
- text/plain
- application/json
- text/json
{
"total_entity_count": 0,
"created_entity_count": 0,
"updated_entity_count": 0,
"created_entities": [
{
"well_name": "string",
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"risk_start_tvd": 0.1,
"risk_end_tvd": 0.1,
"risk_max_tvd": 0.1,
"risk_min_tvd": 0.1,
"formations": [
"string"
],
"id": "string",
"section_id": "string",
"hole_bottom_md": 0.1,
"hole_bottom_tvd": 0.1,
"category": "string",
"data_source": "string",
"details": "string",
"duration": 0.1,
"end_date": "2019-08-24T14:15:22Z",
"extended_category": "string",
"hole_size": 0.1,
"name": "string",
"probability": "string",
"risk_id": "string",
"severity": "string",
"start_date": "2019-08-24T14:15:22Z",
"sub_category": "string",
"summary": "string",
"type": "string",
"wellbore_name": "string",
"well_guid": "string",
"risk_start_md": 0.1,
"risk_end_md": 0.1
}
],
"updated_entities": [
{
"well_name": "string",
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"risk_start_tvd": 0.1,
"risk_end_tvd": 0.1,
"risk_max_tvd": 0.1,
"risk_min_tvd": 0.1,
"formations": [
"string"
],
"id": "string",
"section_id": "string",
"hole_bottom_md": 0.1,
"hole_bottom_tvd": 0.1,
"category": "string",
"data_source": "string",
"details": "string",
"duration": 0.1,
"end_date": "2019-08-24T14:15:22Z",
"extended_category": "string",
"hole_size": 0.1,
"name": "string",
"probability": "string",
"risk_id": "string",
"severity": "string",
"start_date": "2019-08-24T14:15:22Z",
"sub_category": "string",
"summary": "string",
"type": "string",
"wellbore_name": "string",
"well_guid": "string",
"risk_start_md": 0.1,
"risk_end_md": 0.1
}
],
"entity_violations": [
{
"source": {
"well_name": "string",
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"risk_start_tvd": 0.1,
"risk_end_tvd": 0.1,
"risk_max_tvd": 0.1,
"risk_min_tvd": 0.1,
"formations": [
"string"
],
"id": "string",
"section_id": "string",
"hole_bottom_md": 0.1,
"hole_bottom_tvd": 0.1,
"category": "string",
"data_source": "string",
"details": "string",
"duration": 0.1,
"end_date": "2019-08-24T14:15:22Z",
"extended_category": "string",
"hole_size": 0.1,
"name": "string",
"probability": "string",
"risk_id": "string",
"severity": "string",
"start_date": "2019-08-24T14:15:22Z",
"sub_category": "string",
"summary": "string",
"type": "string",
"wellbore_name": "string",
"well_guid": "string",
"risk_start_md": 0.1,
"risk_end_md": 0.1
},
"violations": [
{
"fatal_violation": true,
"details": "string"
}
]
}
],
"action_succeeded": true,
"master_error": "string",
"dependent_action_errors": [
"string"
],
"action_key": "string"
}